Subject: guix daemon writes acl to /etc/nix/acl not /etc/guix

From: Jeff Mickey <[email-masked]>
Date: Sun, 24 Jan 2016 16:38:43 -0800

On NixOS when I follow the binary installation instructions as of 0.9.0,
it places the acl in the wrong place.

guix archive --authorize < hydra.gnu.org.pub

This puts the file in /etc/nix/acl, not /etc/guix acl. This means the
guix daemon can't find the acl, and you build everything from scratch.

I solved this locally by making them a symlink.

Also, /gnu/store is set to only have 1770 permissions instead of 1774,
which means you can't use any of your guix symlinks with 0.9.0 :/

  //  codemac